package es.prodevelop.tilecache.provider.filesystem.strategy.impl;

import es.prodevelop.tilecache.provider.filesystem.strategy.ITileFileSystemStrategy;

public abstract class DefaultFileSystemStrategy implements ITileFileSystemStrategy {
		
	private String tileNameSuffix;
	private final static String DEFAULT_TILE_SUFFIX = ".tile.gvsig";
	
	public DefaultFileSystemStrategy() {
		
	}
	
	public DefaultFileSystemStrategy(String tileNameSuffix) {	
		this.tileNameSuffix = tileNameSuffix;	
	}
	
	public String getTileNameSuffix() {
		if (tileNameSuffix == null)
			return DEFAULT_TILE_SUFFIX;
		return this.tileNameSuffix;
	}
	
	public void setTileNameSuffix(String suffix) {
		this.tileNameSuffix = suffix;
	}
}
